#!/usr/bin/env python
import pytest
import logging
import os
import time
from uuid import uuid1
from pprint import pprint

from p2.driver.k8s import jobs

log = logging.getLogger(__name__)

@pytest.fixture
def config():

    return {
            'image':     'hello-world',
            'namespace': 'default',
    }


def test_01_create_job(config):
    k8s_obj = jobs.Job(context='minikube')
    job = k8s_obj.create_job(
            name='hello-world-job',
            image = config['image'],
            command = ["./hello"]
            ) 
    assert job != None

def test_03_get_jobs(config):
    k8s_obj = jobs.Job(context='minikube')
    jobs_list = k8s_obj.get_jobs()
    assert len(jobs_list) > 0
    pprint(jobs_list)
