#!/usr/bin/env python
import pytest
import logging
from uuid import uuid1

from p2.driver.k8s import k8s

log = logging.getLogger()

@pytest.fixture
def config():
    return {
        'image': 'registry.tools.cosmic.sky/chaos-engineering/chaos-engineering/chaos-toolkit-int-nft-job:0.3.12',
        'namespace': 'default',
        'p2_store_endpoint':'https://p2store.dev.sky.aieng.ottinsights.sky/store'
    }


def test_01_create_pod(config):
    pod_api = k8s.Pod(context='minikube', namespace='default')
    id = pod_api.create_pod(
        image="hello-world",
        command=["/hello"],
        name='hello-world',
        service_account="chaos-sa"
        )
    assert id != None
